Subject: Re: initdb failure - postgres hangs with 100% CPU
From: Jason Tishler <[email-masked]>
To: "Charles S. Wilson" <[email-masked]>
Cc: Steve Jorgensen <[email-masked]>, "cygwin@cygwin. Com (E-mail)" <[email-masked]>
Date: Wed, 11 Jul 2001 17:48:22 -0400

Chuck,

On Wed, Jul 11, 2001 at 04:37:23PM -0400, Charles S. Wilson wrote:
> Jason, I recommend that postgres build the import library with a 
> ".dll.a" extention, rather than ".a".  This requires no changes when 
> linking client code; ld will interpret "-lpq" to mean "libpq.dll.a" 
> FIRST, and then later look for "libpq.a" iff .dll.a is not found.
>
> What you're doing now is fine; it works now and will continue to work -- 
> but convention sez ".a" = static lib, ".dll.a" = import lib.  (yah, I 
> know that the mswindows import libs in the cygwin and mingw packages use 
> ".a" ....)

Unfortunately, your proposed change would affect PostgreSQL's global
Makefile.shlib makefile which in turn would "affect" the building of
shared libraries on all of the umpteen supported platforms.  Sorry, but I
don't really want to go there since I assume it will be an uphill battle.
Besides, don't you want pq.dll renamed cygpq.dll, etc. too?

Jason

-- 
Jason Tishler
Director, Software Engineering       Phone: 732.264.8770 x235
Dot Hill Systems Corp.               Fax:   732.264.8798
82 Bethany Road, Suite 7             Email: [email-masked]
Hazlet, NJ 07730 USA                 WWW:   http://www.dothill.com

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/